org.apache.cassandra.cli.transport

## Class SSLTransportFactory

- java.lang.Object
- - org.apache.thrift.transport.TTransportFactory
  - - org.apache.cassandra.cli.transport.SSLTransportFactory

    public class SSLTransportFactory
    extends org.apache.thrift.transport.TTransportFactory

### Constructor Summary

Constructors
Constructor and Description
`SSLTransportFactory()`

### Method Summary

Methods
`org.apache.thrift.transport.TTransport` `getTransport(org.apache.thrift.transport.TTransport trans)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLTransportFactory

    public SSLTransportFactory()

### Method Detail

#### getTransport

    public org.apache.thrift.transport.TTransport getTransport(org.apache.thrift.transport.TTransport trans)

Overrides:
  `getTransport` in class `org.apache.thrift.transport.TTransportFactory`